#include <qextmdimainfrm.h>
#include <qfiledialog.h>
#include "savedlg.h"
#include "cuteview.h"

SaveDlg::SaveDlg(QWidget *parent, const char *name) :
	SaveDialog(parent, name)
{
	QextMdiMainFrm *mainFrm = static_cast<QextMdiMainFrm*>(parent);
	QextMdiIterator<QextMdiChildView*> *iter = mainFrm->createIterator();
	docs->setSelectionMode(QListBox::Multi);
	CUTEView *view;
	int i = 0;
	for(; !iter->isDone(); iter->next()){
		view = static_cast<CUTEView*>(iter->currentItem());
		if(view->scintilla()->isModified()){
			if(view->fileName() == QString::null)
				docs->insertItem("untitled");
			else
				docs->insertItem(view->fileName());
			docs->setSelected(i++, true);
			viewList.append(view);
		}
	}
	mainFrm->deleteIterator(iter);
	setWFlags(WShowModal);
}

void SaveDlg::saveFiles()
{
	QListBoxItem *i = docs->firstItem();
	CUTEView *view = viewList.first();
	for(;;){
		if( i->isSelected() )
			if(view->fileName() == QString::null )
				view->saveFile(QFileDialog::getSaveFileName(QDir::currentDirPath()));
			else
				view->saveFile();
		i = i->next();
		if(!i)
			break;
		view = viewList.next();
	}
	done(1);
}
