/***************************************************************************
                          windowdlg.cpp  -  description
                             -------------------
    begin                : Son Nov 24 2002
    copyright            : (C) 2002 by Heiko Khler
    email                : heicom@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qstringlist.h>

#include "windowdlg.h"
#include "cute.h"

WindowDlg::WindowDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
{
	updateListView();
	connect(WinListBox, SIGNAL(selected(const QString&)), this, SLOT(switchWindow(const QString&)));
}

void WindowDlg::updateListView()
{
	QString name;
	WinListBox->clear();
	QStringList strList;
	QextMdiIterator<QextMdiChildView*> *iter = static_cast<QextMdiMainFrm*>(qApp->mainWidget())->createIterator();
	for(; !iter->isDone(); iter->next()){
		name = static_cast<CUTEView*>(iter->currentItem())->caption();
		strList.append(name);
		viewMap.insert(name, iter->currentItem());
	}
	strList.sort();
	WinListBox->insertStringList(strList);
}

WindowDlg::~WindowDlg()
{
}

void WindowDlg::close_slot()
{
	CUTE* cute = static_cast<CUTE*>(qApp->mainWidget());
	QextMdiChildView *view = viewMap[WinListBox->currentText()];
	if(view){
		cute->closeWindow(view);
		updateListView();
	}
}

void WindowDlg::iconify_slot()
{
	QextMdiMainFrm *cute = static_cast<QextMdiMainFrm*>(qApp->mainWidget());
	cute->iconifyAllViews();
}

void WindowDlg::cascade_slot()
{
	QextMdiMainFrm *cute = static_cast<QextMdiMainFrm*>(qApp->mainWidget());
	cute->cascadeWindows();
}

void WindowDlg::new_slot()
{
	CUTE *cute = static_cast<CUTE*>(qApp->mainWidget());
	cute->slotFileNew();
	hide();
}

void WindowDlg::ok_slot()
{
	switchWindow(WinListBox->currentText());
}

void WindowDlg::switchWindow(const QString &item)
{
	QextMdiChildView *view = viewMap[item];
	if(view){
		view->setFocus();
		hide();
	}
}

void WindowDlg::tile_slot()
{
	QextMdiMainFrm *cute = static_cast<QextMdiMainFrm*>(qApp->mainWidget());
	cute->tileAnodine();
}
