# The project file for the qscintilla library.
#
# Copyright (c) 2003
# 	Riverbank Computing Limited <info@riverbankcomputing.co.uk>
# 
# This file is part of QScintilla.
# 
# This copy of QScintilla is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option) any
# later version.
# 
# QScintilla is supplied in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# 
# You should have received a copy of the GNU General Public License along with
# QScintilla; see the file LICENSE.  If not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


unix:VERSION = 2.0.0


TEMPLATE = lib
TARGET = qscintilla
DESTDIR = lib
CONFIG += qt warn_off release staticlib thread
INCLUDEPATH = qt include src
DEFINES = QEXTSCINTILLA_MAKE_DLL QT SCI_LEXER
MOC_DIR = moc
OBJECTS_DIR = obj

HEADERS = \
	qt/qextscintillaglobal.h \
	qt/qextscintilla.h \
	qt/qextscintillaapis.h \
	qt/qextscintillabase.h \
	qt/qextscintillacommand.h \
	qt/qextscintillacommandset.h \
	qt/qextscintillalexer.h \
	qt/qextscintillalexercpp.h \
	qt/qextscintillalexercsharp.h \
	qt/qextscintillalexerhtml.h \
	qt/qextscintillalexeridl.h \
	qt/qextscintillalexerjava.h \
	qt/qextscintillalexerjavascript.h \
	qt/qextscintillalexerpython.h \
	qt/qextscintillalexersql.h \
	qt/qextscintillamacro.h \
	qt/qextscintillaprinter.h \
	qt/SciListBox.h \
	qt/ScintillaQt.h \
	include/Accessor.h \
	include/KeyWords.h \
	include/Platform.h \
	include/PropSet.h \
	include/SString.h \
	include/SciLexer.h \
	include/Scintilla.h \
	include/ScintillaWidget.h \
	include/WindowAccessor.h \
	src/AutoComplete.h \
	src/CallTip.h \
	src/CellBuffer.h \
	src/ContractionState.h \
	src/Document.h \
	src/DocumentAccessor.h \
	src/Editor.h \
	src/ExternalLexer.h \
	src/Indicator.h \
	src/KeyMap.h \
	src/LineMarker.h \
	src/RESearch.h \
	src/SVector.h \
	src/ScintillaBase.h \
	src/Style.h \
	src/StyleContext.h \
	src/ViewStyle.h \
	src/XPM.h

SOURCES = \
	qt/qextscintilla.cxx \
	qt/qextscintillaapis.cxx \
	qt/qextscintillabase.cxx \
	qt/qextscintillacommand.cxx \
	qt/qextscintillacommandset.cxx \
	qt/qextscintillalexer.cxx \
	qt/qextscintillalexercpp.cxx \
	qt/qextscintillalexercsharp.cxx \
	qt/qextscintillalexerhtml.cxx \
	qt/qextscintillalexeridl.cxx \
	qt/qextscintillalexerjava.cxx \
	qt/qextscintillalexerjavascript.cxx \
	qt/qextscintillalexerpython.cxx \
	qt/qextscintillalexersql.cxx \
	qt/qextscintillamacro.cxx \
	qt/qextscintillaprinter.cxx \
	qt/SciListBox.cxx \
	qt/PlatQt.cxx \
	qt/ScintillaQt.cxx \
	src/AutoComplete.cxx \
	src/CallTip.cxx \
	src/CellBuffer.cxx \
	src/ContractionState.cxx \
	src/Document.cxx \
	src/DocumentAccessor.cxx \
	src/Editor.cxx \
	src/ExternalLexer.cxx \
	src/Indicator.cxx \
        src/KeyMap.cxx \
	src/KeyWords.cxx \
	src/LexAsm.cxx \
	src/LexAVE.cxx \
	src/LexAda.cxx \
	src/LexBaan.cxx \
	src/LexBullant.cxx \
	src/LexCPP.cxx \
	src/LexCSS.cxx \
	src/LexConf.cxx \
	src/LexCrontab.cxx \
	src/LexEiffel.cxx \
	src/LexEScript.cxx \
	src/LexFortran.cxx \
	src/LexHTML.cxx \
	src/LexLisp.cxx \
	src/LexLout.cxx \
	src/LexLua.cxx \
	src/LexMatlab.cxx \
	src/LexOthers.cxx \
	src/LexPascal.cxx \
	src/LexPerl.cxx \
	src/LexPOV.cxx \
	src/LexPython.cxx \
	src/LexRuby.cxx \
	src/LexSQL.cxx \
	src/LexVB.cxx \
	src/LineMarker.cxx \
	src/PropSet.cxx \
        src/RESearch.cxx \
        src/ScintillaBase.cxx \
	src/Style.cxx \
	src/StyleContext.cxx \
	src/ViewStyle.cxx \
	src/WindowAccessor.cxx \
	src/XPM.cxx

TRANSLATIONS = \
	qt/qscintilla_de.ts
